Skip to content

Complete the login-email change and revoke all owner sessions

POST/v1/access/email-change/new-proof

Authorization

humanSession
__Secure-better-auth.session_token<token>

Native Better Auth session cookie, managed by the browser. Loopback HTTP uses the unprefixed cookie name.

In: cookie

Request Body

application/json

Response Body

application/json

curl -X POST "https://example.com/v1/access/email-change/new-proof" \
  -H "Content-Type: application/json" \
  -d '{
    "receiptProof": "stringstringstringstringstringstringstrings",
    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",
    "generation": 1,
    "code": "string"
  }'
{
  "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",
  "state": "awaiting_current",
  "generation": 1,
  "createdAt": "2019-08-24T14:15:22Z",
  "expiresAt": "2019-08-24T14:15:22Z",
  "receiptExpiresAt": "2019-08-24T14:15:22Z",
  "finishedAt": "2019-08-24T14:15:22Z"
}